Loading...
Searching...
No Matches
LibSerial::OpenFailed Class Reference

Exception error thrown when the serial port could not be opened. More...

`#include <SerialPortConstants.h>`

Inheritance diagram for LibSerial::OpenFailed:
[legend]
Collaboration diagram for LibSerial::OpenFailed:
[legend]

## Public Member Functions

| OpenFailed (const std::string &whatArg)
| Exception error thrown when the serial port could not be opened.

## Detailed Description

Exception error thrown when the serial port could not be opened.

Examples
  serial_port_read.cpp, serial_port_read_write.cpp, serial_port_write.cpp, serial_stream_read.cpp, serial_stream_read_write.cpp, and serial_stream_write.cpp.

Definition at line 155 of file SerialPortConstants.h.

## Constructor & Destructor Documentation

## OpenFailed()

LibSerial::OpenFailed::OpenFailed | ( | const std::string & | whatArg | ) |

inline explicit

Exception error thrown when the serial port could not be opened.

Definition at line 161 of file SerialPortConstants.h.

The documentation for this class was generated from the following file:

- src/libserial/SerialPortConstants.h